namespace Infrastructure.Tests;

public class GenericTests
{
    [Fact]
    public void ValueConvertTest()
    {
        var value = "7";
        var convertedValue = Convert<long>(value);
        Assert.Equal(7, convertedValue);
    }

    private static T Convert<T>(string value) where T : IEquatable<T>
    {
        return (T)System.Convert.ChangeType(value, typeof(T));
    }

    [Fact]
    public void DefaultValueTest()
    {
        var value = 0L;
        long? nullableValue = null;
        Assert.Equal(default, value);
        Assert.Equal(null, nullableValue);
    }
}