namespace Infrastructure.Extensions;

public static class EncryptionSetup
{
    /// <summary>
    /// 注入Aes加密对称加密服务
    /// </summary>
    /// <param name="services"></param>
    /// <returns></returns>
    public static IServiceCollection AddAesEncryption(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddSingleton<IEncryptionService, EncryptionService>();
        return services;
    }
}